Bug 83611 - [Cairo] Wrap cairo surfaces in a class when storing native images
Summary: [Cairo] Wrap cairo surfaces in a class when storing native images
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Martin Robinson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-10 13:18 PDT by Martin Robinson
Modified: 2012-04-26 16:02 PDT (History)
4 users (show)

See Also:


Attachments
Patch (25.00 KB, patch)
2012-04-10 15:04 PDT, Martin Robinson
no flags Details | Formatted Diff | Diff
Try to fix the EFL build (28.11 KB, patch)
2012-04-11 10:15 PDT, Martin Robinson
no flags Details | Formatted Diff | Diff
Try once again to fix the EFL build (29.06 KB, patch)
2012-04-11 10:55 PDT, Martin Robinson
no flags Details | Formatted Diff | Diff
Patch (29.34 KB, patch)
2012-04-11 13:58 PDT, Martin Robinson
no flags Details | Formatted Diff | Diff
Patch (29.26 KB, patch)
2012-04-16 15:27 PDT, Martin Robinson
no flags Details | Formatted Diff | Diff
One more time (29.53 KB, patch)
2012-04-16 17:08 PDT, Martin Robinson
no flags Details | Formatted Diff | Diff
Patch (30.63 KB, patch)
2012-04-21 10:14 PDT, Martin Robinson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Robinson 2012-04-10 13:18:57 PDT
When WebCore stores an image in the "native format" now it stores a Cairo surface. By storing a class that we control, we can store cached versions that have been resampled or created for different backends. This follows the Skia backend's approach.
Comment 1 Martin Robinson 2012-04-10 15:04:48 PDT
Created attachment 136550 [details]
Patch
Comment 2 Gyuyoung Kim 2012-04-10 19:40:44 PDT
Comment on attachment 136550 [details]
Patch

Attachment 136550 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/12379786
Comment 3 Martin Robinson 2012-04-11 10:15:21 PDT
Created attachment 136688 [details]
Try to fix the EFL build
Comment 4 Gyuyoung Kim 2012-04-11 10:46:08 PDT
Comment on attachment 136688 [details]
Try to fix the EFL build

Attachment 136688 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/12382928
Comment 5 Martin Robinson 2012-04-11 10:55:05 PDT
Created attachment 136703 [details]
Try once again to fix the EFL build
Comment 6 Gyuyoung Kim 2012-04-11 12:12:55 PDT
Comment on attachment 136703 [details]
Try once again to fix the EFL build

Attachment 136703 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/12383937
Comment 7 Martin Robinson 2012-04-11 13:58:17 PDT
Created attachment 136746 [details]
Patch
Comment 8 Gyuyoung Kim 2012-04-11 15:51:43 PDT
Comment on attachment 136746 [details]
Patch

Attachment 136746 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/12385858
Comment 9 Martin Robinson 2012-04-16 15:27:43 PDT
Created attachment 137417 [details]
Patch
Comment 10 Gyuyoung Kim 2012-04-16 16:35:28 PDT
Comment on attachment 137417 [details]
Patch

Attachment 137417 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/12417280
Comment 11 Martin Robinson 2012-04-16 17:08:12 PDT
Created attachment 137434 [details]
One more time
Comment 12 Alejandro G. Castro 2012-04-19 16:04:31 PDT
Comment on attachment 137434 [details]
One more time

View in context: https://bugs.webkit.org/attachment.cgi?id=137434&action=review

Looks good to me, you have to check TextureMapperGL.cpp compilation, it requires a modification to compile.

> Source/WebCore/platform/graphics/cairo/BitmapImageCairo.cpp:2
> + * Copyright (C) 2006 Apple Computer, Inc.  All rights reserved.

Check if the copyright is the same in the original file.
Comment 13 Martin Robinson 2012-04-21 10:14:04 PDT
Created attachment 138243 [details]
Patch
Comment 14 Alejandro G. Castro 2012-04-25 10:13:46 PDT
Comment on attachment 138243 [details]
Patch

Great LGTM
Comment 15 WebKit Review Bot 2012-04-25 10:20:03 PDT
Comment on attachment 138243 [details]
Patch

Rejecting attachment 138243 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 1

Alejandro G found in /mnt/git/webkit-commit-queue/Source/WebCore/ChangeLog does not appear to be a valid reviewer according to committers.py.
ERROR: /mnt/git/webkit-commit-queue/Source/WebCore/ChangeLog neither lists a valid reviewer nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).

Full output: http://queues.webkit.org/results/12530640
Comment 16 Martin Robinson 2012-04-26 16:02:13 PDT
Comment on attachment 138243 [details]
Patch

Clearing flags on attachment: 138243

Committed r115385: <http://trac.webkit.org/changeset/115385>
Comment 17 Martin Robinson 2012-04-26 16:02:25 PDT
All reviewed patches have been landed.  Closing bug.